### Function

# FwupdPlugin common_get_random

since: 2.1.5

#### Declaration [src]

    GByteArray*
    fu_common_get_random (
      guint bufsz,
      GError** error
    )

#### Description [src]

Gets random bytes using a cryptographically secure RNG.

Available since: 2.1.5

#### Parameters

`bufsz`

  Type: `guint`

  The number of bytes to return.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A blob of random data, or `NULL` for error.

The caller of the function takes ownership of the data, and is responsible for freeing it.